package cz.moneta.test.system.mvcr;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Assertions;

@TestScenario(name = "check ID card validity")
public class CheckIdCard {

    @TestCase(name = "check valid ID card")
    public void check_valid_id_card(Harness harness) {
        boolean isInvalid = harness.tasks().mvcr().checkIdCardValidity("123456123");
        Assertions.assertTrue(isInvalid);
    }

    @TestCase(name = "check invalid ID card")
    public void check_invalid_id_card(Harness harness) {
        boolean isInvalid = harness.tasks().mvcr().checkIdCardValidity("206177232");
        Assertions.assertFalse(isInvalid);
    }
}

